# Made With the NHL API Documentation

This document exists to collect things that people make using this documentation. There is zero affiliation with those projects other than I like to show appreciation back to those who appricate the work here and find it useful.

---

## Hockey Predictions

Description: Simple website for predicting winner of hockey games using Google Oauth and Ruby on Rails (open to contributions!)

Live: [http://predict-the-game.herokuapp.com](http://predict-the-game.herokuapp.com)

Code: [Github organization](https://github.com/michaeldavidmarchand)

Author: [Michael Marchand]( https://github.com/marchandmd )

## Breakaway (iOS)

Description: mobile app for hockey scores, stats and standings

Twitter: https://twitter.com/breakaway_app?s=21

## nhl-api-explorer

Description: nuxtjs client with nodejs server (to bypass CORS headers).

Live: https://nhl-api-explorer.herokuapp.com/

Code: https://gitlab.com/sebastienblanchet/nhl-api-explorer

Author: [Sebastien Blanchet](https://gitlab.com/sebastienblanchet)

## hockey-info.online

Description: web app showing hockey information in a mobile friendly format

Code: https://gitlab.com/dword4/hockey-info

Author: [Me](https://gitlab.com/dword4)

## NHL Goal Classification using Social Media

Description: This project uses social media data from Reddit and Twitter to detect goals during NHL games. Goals events were classified using a sliding window and lexicon-based classification method.

Code: https://github.com/brendanartley/NHL-Event-Detection

Author: [brendanartley](https://github.com/brendanartley)

## Analytics Report Generator

Description: Automated analytics report generator built with FPDF

Code: https://github.com/brendanartley/Analytics-Report-Generator

Author: [brendanartley](https://github.com/brendanartley)

## Open-Hockey-API

Description: A (WIP) GraphQL server wrapping the documented endpoints of this project into a single endpoint. Utilizes GQL to group data returned via these endpoints for common use cases into a single/few request(s).

Code: https://github.com/Rblock919/open-hockey-api

Author: [rblock919](https://github.com/Rblock919)

## rotorink 

Description: Social Media Hockey application built with Nuxt 3 and Prisma complete with user authentication. 

Code: https://github.com/edwardz8/nuxt3-zero 
